> ## Documentation Index
> Fetch the complete documentation index at: https://memos-api.openmem.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Configure MemOS

> Set MemOS configuration.



## OpenAPI

````yaml POST /configure
openapi: 3.1.0
info:
  title: MemOS REST APIs
  description: A REST API for managing and searching memories using MemOS.
  version: 1.0.0
servers: []
security: []
paths:
  /configure:
    post:
      summary: Configure MemOS
      description: Set MemOS configuration.
      operationId: set_config_configure_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MOSConfig'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConfigResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MOSConfig:
      properties:
        model_schema:
          type: string
          title: Model Schema
          description: Schema for configuration. This value will be automatically set.
          default: NOT_SET
        user_id:
          type: string
          title: User Id
          description: >-
            User ID for the MOS. This is used to distinguish between different
            users' memories.
          default: root
        session_id:
          type: string
          title: Session Id
          description: >-
            Session ID for the MOS. This is used to distinguish between
            different dialogue
          default: 0ce84b9c-0615-4b9d-83dd-fba50537d5d3
        chat_model:
          $ref: '#/components/schemas/LLMConfigFactory'
        mem_reader:
          $ref: '#/components/schemas/MemReaderConfigFactory'
        mem_scheduler:
          anyOf:
            - $ref: '#/components/schemas/SchedulerConfigFactory'
            - type: 'null'
          description: Memory scheduler configuration for managing memory operations
        user_manager:
          $ref: '#/components/schemas/UserManagerConfigFactory'
        max_turns_window:
          type: integer
          title: Max Turns Window
          description: Maximum number of turns to keep in the conversation history
          default: 15
        top_k:
          type: integer
          title: Top K
          description: Maximum number of memories to retrieve for each query
          default: 5
        enable_textual_memory:
          type: boolean
          title: Enable Textual Memory
          description: Enable textual memory for the MemChat
          default: true
        enable_activation_memory:
          type: boolean
          title: Enable Activation Memory
          description: Enable activation memory for the MemChat
          default: false
        enable_parametric_memory:
          type: boolean
          title: Enable Parametric Memory
          description: Enable parametric memory for the MemChat
          default: false
        enable_mem_scheduler:
          type: boolean
          title: Enable Mem Scheduler
          description: Enable memory scheduler for automated memory management
          default: false
        PRO_MODE:
          type: boolean
          title: Pro Mode
          description: Enable PRO mode for complex query decomposition
          default: false
      additionalProperties: false
      type: object
      title: MOSConfig
    ConfigResponse:
      properties:
        code:
          type: integer
          title: Code
          description: Response status code
          default: 200
          example: 200
        message:
          type: string
          title: Message
          description: Response message
          example: Operation successful
        data:
          type: 'null'
          title: Data
          description: Response data
      type: object
      required:
        - message
      title: ConfigResponse
      description: Response model for configuration endpoint.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    LLMConfigFactory:
      properties:
        model_schema:
          type: string
          title: Model Schema
          description: Schema for configuration. This value will be automatically set.
          default: NOT_SET
        backend:
          type: string
          title: Backend
          description: Backend for LLM
        config:
          additionalProperties: true
          type: object
          title: Config
          description: Configuration for the LLM backend
      additionalProperties: false
      type: object
      required:
        - backend
        - config
      title: LLMConfigFactory
      description: Factory class for creating LLM configurations.
    MemReaderConfigFactory:
      properties:
        model_schema:
          type: string
          title: Model Schema
          description: Schema for configuration. This value will be automatically set.
          default: NOT_SET
        backend:
          type: string
          title: Backend
          description: Backend for MemReader
        config:
          additionalProperties: true
          type: object
          title: Config
          description: Configuration for the MemReader backend
      additionalProperties: false
      type: object
      required:
        - backend
        - config
      title: MemReaderConfigFactory
      description: Factory class for creating MemReader configurations.
    SchedulerConfigFactory:
      properties:
        model_schema:
          type: string
          title: Model Schema
          description: Schema for configuration. This value will be automatically set.
          default: NOT_SET
        backend:
          type: string
          title: Backend
          description: Backend for scheduler
        config:
          additionalProperties: true
          type: object
          title: Config
          description: Configuration for the scheduler backend
      additionalProperties: false
      type: object
      required:
        - backend
        - config
      title: SchedulerConfigFactory
      description: Factory class for creating scheduler configurations.
    UserManagerConfigFactory:
      properties:
        backend:
          type: string
          title: Backend
          description: Backend for user manager
          default: sqlite
        config:
          additionalProperties: true
          type: object
          title: Config
          description: Configuration for the user manager backend
      type: object
      title: UserManagerConfigFactory
      description: Factory for user manager configurations.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````